Subject: bug#50775: ispell help message times out before most people can read it

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Sep 2021 22:48:04 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 25 Sep 2021 12:38:10 -0700
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > We've been having that for eons, so changing the default now should
> > only be done if we have a very good reason.  You have a customizable
> > variable now, so why not change the value for your convenience?
> >
> > Let's not let the tail wag the dog: it's a minor issue, no need to
> > turn the world around each time we add some minor convenience.
> 
> [ Removing a timeout for a message does not exactly amount to "turning
>   the world around"... ]

It does, for those who are accustomed to the message go away.

> We don't avoid fixing minor issues just because they are old, do we?

We don't.  But there's no issue here.

> That said, the other alternative I proposed was increasing the timeout
> to 10 seconds to give the user enough time to read it.

You are free to increase it for your own use.  And so is jidanni.  But
I see no reason to do that for everyone.